Acerkard

Discussion in 'Acekard' started by calibra, Nov 27, 2010.

  1. calibra
    OP

    calibra Newbie

    Newcomer
    7
    0
    Apr 6, 2008
    United States
    Need an acekard for my DSXL and also a DSi

    I think it is the same cart.

    Having read some of the posts, I am now not sure if I should buy this cartridge or not......Want something that is plug and play.

    I expect to update firmware every so often and I believe the updates are very regular ( not like my dsgold which is rare)

    Should I buy an acekard ??? and where from in the UK to be plug n play

    Thanks
     
  2. Sephxus

    Sephxus GBAtemp Fan

    Member
    327
    1
    May 27, 2010
    United States
    Pomona, CA
    You need the Acekard 2i for the dsi.
    You can buy the cart from our sponored store Shoptemp
    You'll need to update the cart to work with dsi firmware 1.4.1
    You can select the premium option at Shoptemp and they will do it for you.
    Or you can do it yourself with your ds lite: Link to firmware

    The Acekard is supported by AKaio and it is updated regularly.
     
  3. DarkShinigami

    DarkShinigami #1 strongest Shinigami BANKAI

    Member
    1,861
    86
    Sep 12, 2009
    United States
    Soul Society
    you will also need a ds or ds lite to flash it yourself just sayin
     
  4. Sephxus

    Sephxus GBAtemp Fan

    Member
    327
    1
    May 27, 2010
    United States
    Pomona, CA
    I thought it said DSL. [​IMG]
    Yes, you do need a ds lite to do the update yourself.
     
  5. twiztidsinz

    twiztidsinz Taiju Yamada Fan

    Member
    4,981
    6
    Dec 23, 2008
    United States
    Actually... you CAN flash on a DSi XL... you just need one that is 1.3 or lower if it's completely new or 1.4 if it has the Danny Phantom fix.
     
  6. ShadowSoldier

    ShadowSoldier GBAtemp Guru

    Member
    9,383
    3,300
    Oct 8, 2009
    Canada
    For updates, don't worry about the Acekard. The Acekard is still one of the strongest supported cards available.